summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2014-02-01 18:14:52 +0100
committerMartin Väth <martin@mvath.de>2015-10-11 10:49:06 +0200
commit02789a400f04c3c64cbe641be6457e76be16a508 (patch)
tree5481cdb8222d9647112de522d7dc6d17d79347e2 /app-portage/useflags/useflags-3.4.ebuild
parenteix: Support /var/lib/tmpfiles.d (diff)
downloadmv-02789a400f04c3c64cbe641be6457e76be16a508.tar.gz
mv-02789a400f04c3c64cbe641be6457e76be16a508.tar.bz2
mv-02789a400f04c3c64cbe641be6457e76be16a508.zip
Bump find_cruft, useflags
Diffstat (limited to 'app-portage/useflags/useflags-3.4.ebuild')
-rw-r--r--app-portage/useflags/useflags-3.4.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/app-portage/useflags/useflags-3.4.ebuild b/app-portage/useflags/useflags-3.4.ebuild
new file mode 100644
index 00000000..d7560be7
--- /dev/null
+++ b/app-portage/useflags/useflags-3.4.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+RESTRICT="mirror"
+inherit eutils vcs-snapshot
+
+DESCRIPTION="Print or save the current USE-flag state and compare with older versions"
+HOMEPAGE="https://github.com/vaeth/useflags/"
+SRC_URI="http://github.com/vaeth/${PN}/tarball/${PV} -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-lang/perl
+ virtual/perl-Getopt-Long"
+
+src_prepare() {
+ use prefix || sed -i \
+ -e '1s"^#!/usr/bin/env perl$"#!'"${EPREFIX}/usr/bin/perl"'"' \
+ -- "${PN}" || die
+ epatch_user
+}
+
+src_install() {
+ dobin "${PN}"
+ insinto /usr/share/zsh/site-functions
+ doins "_${PN}"
+}
+
+pkg_postinst() {
+ if ! has_version 'app-portage/eix'
+ then elog "Install app-portage/eix for faster execution time."
+ elog "With >=app-portage/eix-0.27.7 also security is increased."
+ elif has_version '<app-portage/eix-0.27.7'
+ then elog "Upgrade to >=app-portage/eix-0.27.7 to increase security."
+ fi
+}